#****************************************************************************
#** 
#**  File     :  /units/XSB0100/XSB0100_script.lua 
#** 
#** 
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
local Game = import( '/lua/game.lua' )

# VARIABLE ''GLOBALE'' ( par Manimal )
local MyModPath = Game.MyModPath
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

local SSubFactoryUnit = import( MyModPath .. '/hook/lua/seraphimunits.lua' ).SSubFactoryUnit

XSB0100 = Class( SSubFactoryUnit ) {

    BuildAttachBone = 'Attachpoint',
    UpgradeThreshhold1 = 0.167,
    UpgradeThreshhold2 = 0.5,

    OnCreate = function(self)
        SSubFactoryUnit.OnCreate(self)
        self.Rotator1 = CreateRotator(self, 'Pod01', 'z', nil, 30, 0, 0)
		self.Rotator1 = CreateRotator(self, 'Pod02', 'z', nil, -30, 0, 0)
        self.Trash:Add(self.Rotator1)
		self.Trash:Add(self.Rotator2)
    end,

    OnKilled = function(self, instigator, type, overkillRatio)
        self.Rotator1:SetSpeed(0)
		--self.Rotator2:SetSpeed(0)
        SSubFactoryUnit.OnKilled(self, instigator, type, overkillRatio)
    end,

}
	
TypeClass = XSB0100

